# -*- coding: utf-8 -*-
import sys, urllib, re, os
import xbmc, xbmcgui, xbmcaddon, xbmcplugin
import urllib.request, urllib.parse, urllib.error
import urllib.request, urllib.error, urllib.parse
import io
import inspect
import time
import html.parser
import requests
from urllib.parse import parse_qsl, quote, urlencode
ADDON_ID = 'plugin.audio.pl.radio'


def parseParameters(inputString=sys.argv[2]):
    parameters = {}
    p1 = inputString.find('?')
    if p1 >= 0:
        splitParameters = inputString[p1 + 1:].split('&')
        for nameValuePair in splitParameters:
            if (len(nameValuePair) > 0):
                pair = nameValuePair.split('=')
                key = pair[0]
                value = urllib.parse.unquote(urllib.parse.unquote_plus(pair[1]))
                parameters[key] = value
    return parameters


def notify(addonId, message, timeShown=5000):
    addon = xbmcaddon.Addon(addonId)
    xbmc.executebuiltin('Notification(%s, %s, %d, %s)' % (addon.getAddonInfo('name'), message, timeShown, addon.getAddonInfo('icon')))


def showError(addonId, errorMessage):
    notify(addonId, errorMessage)
    xbmc.log(errorMessage, xbmc.LOGERROR)

    
def makeLink(params, baseUrl=sys.argv[0]):
    return baseUrl + '?'+ urlencode(dict(params.items()))

#Extract video links from the playlist

def addMenuItem(caption, link, icon=None, thumbnail=None, folder=False, duration=None, fanart=None):
    if duration != None:
        duration = int(duration)/60
  
    listItem = xbmcgui.ListItem(caption)
 
    
    if len(fanart) != 0:
        listItem.setProperty("Fanart_Image", fanart)
    
    return xbmcplugin.addDirectoryItem(handle=int(sys.argv[1]), url=link, listitem=listItem, isFolder=folder)

    
def addMovieItem(title, link, icon=None, thumbnail=None, folder=False, genre=None, year=None, cast=None, director=None, plot=None, duration=None, trailer=None, fanart=None, rating=None):
    xbmc.executebuiltin('Container.SetViewMode(50)')
 
    if duration != None:
        duration = duration[0]
        
  
    listItem = xbmcgui.ListItem(unicode(title), iconImage=icon, thumbnailImage=thumbnail)

    #ListItem.setInfo(type='video', infoLabels={'title': title, 'genre': genre, 'year': year, 'castandrole':cast, 'plot':plot})
   #listItem.setInfo(type='video', infoLabels={'title': title, 'genre': genre, 'year': year, 'cast': cast, 'director': director, 'plot': plot, 'duration': duration, 'trailer': trailer })
    #liz.setInfo( type="Video", infoLabels={ "Title": name, 'plot': description } )
   


def endListing():
    """
    Signals the end of the menu listing
    """
    xbmcplugin.endOfDirectory(int(sys.argv[1]))
    
    



